Subject: Re: MPC8555 8280/8270 USB host support

From: Nathael PAJANI <[email-masked]>
Date: Thu, 01 Dec 2005 16:41:03 +0100

Hi

 >
 >>
 >>Don't you think u-boot should take care of clock setup
 >>i.e. as much as possible of all board dependent stuff ?
 >>
 >>
 >I think you're right, but then it was easier to make all these setups 
 >in the driver itself.
 >

If u-boot is the boot loader of your board (the stuff running on it 
--before-- we see this:

loaded at:     00400000 005153B4
board data at: 00513130 00513334
relocated to:  00405090 00405294
zimage at:     00405A85 00512099
avail ram:     00516000 08000000

Linux/PPC load: rw console=ttyS0 root=/dev/nfs ip=on

Uncompressing Linux...done)

Then I would say NO

If u-boot is this exact stuff (the files in arch/ppc/boot/simple/... 
misc-embedded.c for example)

then, yes, this is somehow better.
But (tell me if I'm wrong) this is not really Linux code, and this 
should be done by Linux.

What I think should be good also is the platform files 
(arch/ppc/platforms/....) for this is the place where all the board 
dependant stuff stays.

Maybe I'm completely mistaken.
Feel free to tell me (and explain please !)

Have fun.